FreeMat

- Main Page
- Related Pages

vtkDataSetGradientPrecompute

Section: Visualization Toolkit Graphics Classes

# Usage

Computes a geometry based vector field that the DataSetGradient filter uses to accelerate gradient computation. This vector field is added to FieldData since it has a different value for each vertex of each cell (a vertex shared by two cell has two differents values).

.SECTION Thanks This file is part of the generalized Youngs material interface reconstruction algorithm contributed by CEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France
BP12, F-91297 Arpajon, France.
Implementation by Thierry Carrard (CEA)

To create an instance of class vtkDataSetGradientPrecompute, simply invoke its constructor as follows

      obj = vtkDataSetGradientPrecompute

# Methods

The class vtkDataSetGradientPrecompute has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetGradientPrecompute class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetGradientPrecompute = obj.NewInstance ()`
- `vtkDataSetGradientPrecompute = obj.SafeDownCast (vtkObject o)`